import { world,system} from "@minecraft/server"

world.afterEvents.entityDie.subscribe((evd) => {

    if (evd.deadEntity.typeId === 'edx:abomination2') {
        evd.deadEntity.runCommand(`function abomination`);
    }
    if (evd.deadEntity.typeId === 'edx:wither') {
        evd.deadEntity.runCommand(`function wither`);
    }
    if (evd.deadEntity.typeId === 'minecraft:ender_dragon') {
        evd.deadEntity.runCommand(`function dragon`);
    }
    


})